Summary: Linux Standard Base tools
Name: lsb-release
Version: 2.0
Release: %mkrel 39
License: GPL
Source: lsb-release-%{version}.tar.bz2
Patch0: lsb-release-%{version}-no-support.patch
Group: System/Base
URL: http://bzr.linuxfoundation.org/loggerhead/lsb/devel/si/files/head:/lsb_release/ 
Requires(pre): filesystem >= 2.1.9-18

%description
LSB version query program

This program forms part of the required functionality of
the LSB (Linux Standard Base) specification.

The program queries the installed state of the distribution
to display certain properties such as the version of the
LSB against which the distribution claims compliance as 
well. It can also attempt to display the name and release
of the distribution along with an identifier of who produces
the distribution.

%prep

%setup -q
%patch0 -p1 -b .no-support

%build
make

%install
rm -rf %{buildroot}
make prefix=%{buildroot} mandir=%{buildroot}/%{_mandir} install 
mkdir -p %{buildroot}/%{_sysconfdir}/%{name}.d
mkdir -p %{buildroot}/%{_sysconfdir}
cat > %{buildroot}/%{_sysconfdir}/lsb-release << EOF
LSB_VERSION=
DISTRIB_ID="%{distribution}"
DISTRIB_RELEASE=%{product_version}
DISTRIB_CODENAME=thornicroft
DISTRIB_DESCRIPTION="%{distribution} %{product_version}"
EOF

mkdir -p %{buildroot}%{_bindir}
mv %{buildroot}/bin/* %{buildroot}%{_bindir}
rmdir %{buildroot}/bin


%clean
rm -rf %{buildroot}

%files
%doc README
%{_bindir}/lsb_release
%{_mandir}/man1/lsb_release.1*
%config(noreplace) %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}.d


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.0-39.mga3
+ Revision: 359021
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 colin <colin> 2.0-38.mga3
+ Revision: 273158
- Update for usrmove

* Sun May 27 2012 tmb <tmb> 2.0-37.mga3
+ Revision: 247553
- rebuild for mageia-release-3

* Sat May 19 2012 ennael <ennael> 2.0-36.mga2
+ Revision: 235941
- Mageia 2 final release

* Tue Jun 07 2011 boklm <boklm> 2.0-35.mga2
+ Revision: 101466
- update for cauldron

* Mon May 30 2011 ennael <ennael> 2.0-34.mga1
+ Revision: 100790
- update for final release

* Thu Jan 27 2011 stewb <stewb> 2.0-33.mga1
+ Revision: 42364
- leave LSB_VERSION empty, quote DISTRIB_ID

* Thu Jan 27 2011 stewb <stewb> 2.0-32.mga1
+ Revision: 42151
- remove lsb support level from this package, handle in lsb

* Sat Jan 22 2011 blino <blino> 2.0-31.mga1
+ Revision: 33332
- use a better codename
- use distribution macro
- imported package lsb-release

